<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 468.1   Patch: 1                                                  |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Articles
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function AdminAddNewArticle
 * A function to write a new article
 * @author Philipp Louis Esselbach
 */
function AdminAddNewArticle( $articleid, $notice )
{
	global $database, $html, $security, $system, $preferences, $wysiwyg, $login_username, $uwrapper, $words_articles;
	
	if( !isset( $_SESSION[ 'articles_security_hash' ] ) )
	{
		session_start();
		$security_hash = md5( rand( 1, 32768 ) );
		$_SESSION[ 'articles_security_hash' ] = $security_hash;
	}
	else
	{
		$security_hash = $_SESSION[ 'articles_security_hash' ];
	}
	
	if( $articleid )
	{
		$query = $database -> dbquery( "SELECT article_website, article_category, article_title, article_seo, article_rawsummary, article_description, article_keywords, article_tags, article_teaser, article_allowcomments, article_frontpage, article_html, article_smilies, article_code, article_status, article_password, article_startdate, article_fields, article_sticky FROM " . DB_PREFIX . "esselbach_ct_articles WHERE article_id = '" . intval( $articleid ) . "'" );
		list( $input_website, $input_category, $input_article_title, $input_article_seo, $input_article_summary, $input_article_description, $input_article_keywords, $input_article_tags, $input_teaserimage, $input_allow_comments, $input_frontpage, $input_html, $input_smilies, $input_blockcode, $input_status, $input_password, $input_startdate, $input_fields_data, $input_top ) = $database -> dbrow( $query );
		$date_split = explode( " ", $input_startdate );
		list( $input_year, $input_month, $input_day ) = explode( "-", $date_split[ 0 ] );
		list( $input_hour, $input_minute, $input_second ) = explode( ":", $date_split[ 1 ] );
		$input_now = 0;
		
		if( $input_fields_data )
		{
			$input_fields_array = explode( "|", $input_fields_data );
			$input_fields = array();
			
			for( $i = 0; $i < 24; $i++ )
			{
				$input_fields[ $i ] = base64_decode( $input_fields_array[ $i ] );
			}
		}
		
		$input_article_pagetitle = "";
		$input_article_pagetext = "";
		$query = $database -> dbquery( "SELECT COUNT(articlepage_id) FROM " . DB_PREFIX . "esselbach_ct_articlespages WHERE articlepage_article = '" . intval( $articleid ) . "'" );
		list( $page ) = $database -> dbrow( $query );
		$page++;
	}
	else
	{
		$input_website = ( isset( $_POST[ 'input_website' ] ) ) ? $system -> stripthis( $_POST[ 'input_website' ] ) : "" ;
		$input_category = ( isset( $_POST[ 'input_category' ] ) ) ? $system -> stripthis( $_POST[ 'input_category' ] ) : "" ;
		$input_teaserimage = ( isset( $_POST[ 'input_teaserimage' ] ) ) ? $system -> stripthis( $_POST[ 'input_teaserimage' ] ) : "" ;
		$input_top = ( isset( $_POST[ 'input_top' ] ) ) ? $system -> stripthis( $_POST[ 'input_top' ] ) : "" ;
		$input_year = ( isset( $_POST[ 'input_year' ] ) ) ? $system -> stripthis( $_POST[ 'input_year' ] ) : "" ;
		$input_month = ( isset( $_POST[ 'input_month' ] ) ) ? $system -> stripthis( $_POST[ 'input_month' ] ) : "" ;
		$input_day = ( isset( $_POST[ 'input_day' ] ) ) ? $system -> stripthis( $_POST[ 'input_day' ] ) : "" ;
		$input_hour = ( isset( $_POST[ 'input_hour' ] ) ) ? $system -> stripthis( $_POST[ 'input_hour' ] ) : "" ;
		$input_minute = ( isset( $_POST[ 'input_minute' ] ) ) ? $system -> stripthis( $_POST[ 'input_minute' ] ) : "" ;
		$input_second = ( isset( $_POST[ 'input_second' ] ) ) ? $system -> stripthis( $_POST[ 'input_second' ] ) : "" ;
		$input_now = ( isset( $_POST[ 'input_now' ] ) ) ? $system -> stripthis( $_POST[ 'input_now' ] ) : "" ;
		$input_expire_year = ( isset( $_POST[ 'input_expire_year' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_year' ] ) : "" ;
		$input_expire_month = ( isset( $_POST[ 'input_expire_month' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_month' ] ) : "" ;
		$input_expire_day = ( isset( $_POST[ 'input_expire_day' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_day' ] ) : "" ;
		$input_expire_hour = ( isset( $_POST[ 'input_expire_hour' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_hour' ] ) : "" ;
		$input_expire_minute = ( isset( $_POST[ 'input_expire_minute' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_minute' ] ) : "" ;
		$input_expire_second = ( isset( $_POST[ 'input_expire_second' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_second' ] ) : "" ;
		$input_expire_never = ( isset( $_POST[ 'input_expire_never' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_never' ] ) : "" ;
		$input_article_title = ( isset( $_POST[ 'input_article_title' ] ) ) ? $system -> stripthis( $_POST[ 'input_article_title' ] ) : "" ;
		$input_article_seo = ( isset( $_POST[ 'input_article_seo' ] ) ) ? $system -> stripthis( $_POST[ 'input_article_seo' ] ) : "" ;
		$input_article_description = ( isset( $_POST[ 'input_article_description' ] ) ) ? $system -> stripthis( $_POST[ 'input_article_description' ] ) : "" ;
		$input_article_keywords = ( isset( $_POST[ 'input_article_keywords' ] ) ) ? $system -> stripthis( $_POST[ 'input_article_keywords' ] ) : "" ;
		$input_article_summary = ( isset( $_POST[ 'input_article_summary' ] ) ) ? $system -> stripthis( $_POST[ 'input_article_summary' ] ) : "" ;
		$input_article_tags = ( isset( $_POST[ 'input_article_tags' ] ) ) ? $system -> stripthis( $_POST[ 'input_article_tags' ] ) : "" ;
		$input_article_pagetitle = ( isset( $_POST[ 'input_article_pagetitle' ] ) ) ? $system -> stripthis( $_POST[ 'input_article_pagetitle' ] ) : "" ;
		$input_article_pagetext = ( isset( $_POST[ 'input_article_pagetext' ] ) ) ? $system -> stripthis( $_POST[ 'input_article_pagetext' ] ) : "" ;
		$input_forum = ( isset( $_POST[ 'input_forum' ] ) ) ? $system -> stripthis( $_POST[ 'input_forum' ] ) : "" ;
		$input_html = ( isset( $_POST[ 'input_html' ] ) ) ? $system -> stripthis( $_POST[ 'input_html' ] ) : "" ;
		$input_smilies = ( isset( $_POST[ 'input_smilies' ] ) ) ? $system -> stripthis( $_POST[ 'input_smilies' ] ) : "" ;
		$input_blockcode = ( isset( $_POST[ 'input_blockcode' ] ) ) ? $system -> stripthis( $_POST[ 'input_blockcode' ] ) : "" ;
		$input_allow_comments = ( isset( $_POST[ 'input_allow_comments' ] ) ) ? $system -> stripthis( $_POST[ 'input_allow_comments' ] ) : "" ;
		$input_frontpage = ( isset( $_POST[ 'input_frontpage' ] ) ) ? $system -> stripthis( $_POST[ 'input_frontpage' ] ) : "" ;
		$input_file_title = ( isset( $_POST[ 'input_file_title' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_title' ] ) : array() ;
		$input_file_description = ( isset( $_POST[ 'input_file_description' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_description' ] ) : array() ;
		$input_status = ( isset( $_POST[ 'input_status' ] ) ) ? $system -> stripthis( $_POST[ 'input_status' ] ) : "" ;
		$input_password = ( isset( $_POST[ 'input_password' ] ) ) ? $system -> stripthis( $_POST[ 'input_password' ] ) : "" ;
		$input_fields = ( isset( $_POST[ 'input_fields' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_fields' ] ) : "" ;
	}
	
	$input_now = ( isset( $_POST[ 'input_now' ] ) ) ? $system -> stripthis( $_POST[ 'input_now' ] ) : "" ;
	$input_dofileedit = ( isset( $_POST[ 'input_dofileedit' ] ) ) ? $system -> stripthis( $_POST[ 'input_dofileedit' ] ) : "" ;
	$input_dopreview = ( isset( $_POST[ 'input_dopreview' ] ) ) ? $system -> stripthis( $_POST[ 'input_dopreview' ] ) : "" ;
	( isset( $page ) ) ? $page = " (" . $words_articles[ 'PAGE' ] . " " . $page . ")" : $page = "" ;
	$html -> makeheader( $words_articles[ 'ADD_NEW_ARTICLE' ] . $page );
	
	if( $preferences[ 'articles_wysiwyg' ] )
	{
		$wysiwyg -> wysiwyginit( "input_article_summary,input_article_pagetext" );
	}
	else
	{
		$html -> quickhtmlinit( "newform", "input_article_summary", "input_article_pagetext" );
	}
	
	$html -> forminit2( "attachment_form_close", "attachment_form_open" );
	$html -> filesinit( "articleattachmentsearch" );
	$html -> tagcloudinit( "newform", "input_article_tags" );
	$html -> teaserpreviewinit( "articleteaserimagepreview" );
	$html -> makesubheader();
	$html -> makegroupmenu( "articles" );
	
	if( $input_dofileedit )
	{
		$input_file = explode( "#", $input_dofileedit );
		$input_file = $security -> checknum( $input_file[ 1 ] );
	}
	else
	{
		$input_file = "";
	}
	
	if( $notice )
	{
		$html -> makeformheadera( $words_articles[ 'NOTICE' ], "newpage", "newform" );
		echo $notice;
		echo "<br /><br /><h2>" . $words_articles[ 'ADD_NEW_ARTICLE' ] . $page . "</h2>";
	}
	elseif( $input_dopreview )
	{
		$input_article_parsed = eregi_replace( "\\[attachment=([^\\[]+)\\]([^\\[]*)\\[/attachment\\]", $words_articles[ 'ATTACHMENT_HERE' ], $input_article_pagetext );
		$input_article_parsed = eregi_replace( "\\[fullimage=([^\\[]+)\\]", $words_articles[ 'ATTACHMENT_IMG_HERE' ], $input_article_parsed );
		$input_article_parsed = eregi_replace( "\\[thumb=([^\\[]+)\\]", $words_articles[ 'ATTACHMENT_THUMB_HERE' ], $input_article_parsed );
		
		if( !$input_html )
		{
			$input_article_parsed = $system -> dechomp( $input_article_parsed );
		}
		
		if( $input_smilies )
		{
			$input_article_parsed = $system -> smilies( $input_article_parsed );
		}
		
		if( $input_blockcode )
		{
			$input_article_parsed = $system -> code( $input_article_parsed );
		}
		
		$html -> makeformheadera( $words_articles[ 'PREVIEW' ], "newpage", "newform" );
		echo $system -> fixsmilies( $input_article_parsed );
		echo "<br /><br /><h2>" . $words_articles[ 'ADD_NEW_ARTICLE' ] . $page . "</h2>";
	}
	else
	{
		$html -> makeformheadera( $words_articles[ 'ADD_NEW_ARTICLE' ] . $page, "newpage", "newform" );
		$input_allow_comments = $preferences[ 'articles_allow_comments' ];
		$input_frontpage = 1;
	}
	
	$websites = array();
	$query = $database -> dbquery( "SELECT preference_website, preference_value FROM " . DB_PREFIX . "esselbach_ct_preferences WHERE preference_key = 'WEBSITE_NAME'" );
	
	if( $database -> dbrows( $query ) )
	{
		echo "<strong>" . $words_articles[ 'WEBSITE' ] . ":</strong> <select size=\"1\" name=\"input_website\">";
		echo "<option value=\"0\">" . $words_articles[ 'ALL' ] . "</option>";
		
		while( list( $website_id, $website_name ) = $database -> dbrow( $query ) )
		{
			if( $website_id == $input_website )
			{
				echo "<option selected=\"selected\" value=\"$website_id\">$website_name</option>";
			}
			else
			{
				echo "<option value=\"$website_id\">$website_name</option>";
			}
			
			$websites[ $website_id ] = $website_name;
		}
		
		echo "</select> ";
	}
	
	$query = $database -> dbquery( "SELECT articlecat_id, articlecat_name, articlecat_parentid FROM " . DB_PREFIX . "esselbach_ct_articlescats ORDER BY articlecat_position, articlecat_id" );
	
	if( $database -> dbrows( $query ) )
	{
		echo "<strong>" . $words_articles[ 'CATEGORY' ] . ":</strong> <select size=\"1\" name=\"input_category\">";
		echo "<option value=\"0\">" . $words_articles[ 'NONE' ] . "</option>";
		
		while( list( $articlecat_id, $articlecat_name, $articlecat_parentid ) = $database -> dbrow( $query ) )
		{
			if( $articlecat_parentid > 1 )
			{
				$articlecat_name = str_repeat( "-", $articlecat_parentid ) . " " . $articlecat_name;
			}
			
			if( $articlecat_id == $input_category )
			{
				echo "<option selected=\"selected\" value=\"" . $articlecat_id . "\">" . $articlecat_name . "</option>";
			}
			else
			{
				echo "<option value=\"" . $articlecat_id . "\">" . $articlecat_name . "</option>";
			}
		}
		
		echo "</select><br />";
	}
	
	( $input_top ) ? $checked = " checked=\"checked\"" : $checked = "" ;
	echo "<input name=\"input_top\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_articles[ 'TOP_ARTICLE' ] . "</strong><br />";
	$html -> uppertext( $words_articles[ 'ARTICLE_TITLE' ], "input_article_title", $input_article_title );
	
	if( $preferences[ 'news_start_expire_date' ] )
	{
		if( !$input_year )
		{
			$input_year = date( "Y" );
			$input_month = date( "n" );
			$input_day = date( "j" );
			$input_hour = date( "H" );
			$input_minute = date( "i" );
			$input_second = date( "s" );
		}
		
		echo "<strong>" . $words_articles[ 'PUBLISH_DATE' ] . ":</strong> ";
		( $input_month == "1" ) ? $month_selected_january = "selected=\"selected\" " : $month_selected_january = "" ;
		( $input_month == "2" ) ? $month_selected_feburary = "selected=\"selected\" " : $month_selected_feburary = "" ;
		( $input_month == "3" ) ? $month_selected_march = "selected=\"selected\" " : $month_selected_march = "" ;
		( $input_month == "4" ) ? $month_selected_april = "selected=\"selected\" " : $month_selected_april = "" ;
		( $input_month == "5" ) ? $month_selected_may = "selected=\"selected\" " : $month_selected_may = "" ;
		( $input_month == "6" ) ? $month_selected_june = "selected=\"selected\" " : $month_selected_june = "" ;
		( $input_month == "7" ) ? $month_selected_july = "selected=\"selected\" " : $month_selected_july = "" ;
		( $input_month == "8" ) ? $month_selected_august = "selected=\"selected\" " : $month_selected_august = "" ;
		( $input_month == "9" ) ? $month_selected_september = "selected=\"selected\" " : $month_selected_september = "" ;
		( $input_month == "10" ) ? $month_selected_october = "selected=\"selected\" " : $month_selected_october = "" ;
		( $input_month == "11" ) ? $month_selected_november = "selected=\"selected\" " : $month_selected_november = "" ;
		( $input_month == "12" ) ? $month_selected_december = "selected=\"selected\" " : $month_selected_december = "" ;
		echo "<select size=\"1\" name=\"input_month\">";
		echo "<option " . $month_selected_january . "value=\"1\">" . $words_articles[ 'JANUARY' ] . "</option>";
		echo "<option " . $month_selected_feburary . "value=\"2\">" . $words_articles[ 'FEBRUARY' ] . "</option>";
		echo "<option " . $month_selected_march . "value=\"3\">" . $words_articles[ 'MARCH' ] . "</option>";
		echo "<option " . $month_selected_april . "value=\"4\">" . $words_articles[ 'APRIL' ] . "</option>";
		echo "<option " . $month_selected_may . "value=\"5\">" . $words_articles[ 'MAY' ] . "</option>";
		echo "<option " . $month_selected_june . "value=\"6\">" . $words_articles[ 'JUNE' ] . "</option>";
		echo "<option " . $month_selected_july . "value=\"7\">" . $words_articles[ 'JULY' ] . "</option>";
		echo "<option " . $month_selected_august . "value=\"8\">" . $words_articles[ 'AUGUST' ] . "</option>";
		echo "<option " . $month_selected_september . "value=\"9\">" . $words_articles[ 'SEPTEMBER' ] . "</option>";
		echo "<option " . $month_selected_october . "value=\"10\">" . $words_articles[ 'OCTOBER' ] . "</option>";
		echo "<option " . $month_selected_november . "value=\"11\">" . $words_articles[ 'NOVEMBER' ] . "</option>";
		echo "<option " . $month_selected_december . "value=\"12\">" . $words_articles[ 'DECEMBER' ] . "</option>";
		echo "</select><select size=\"1\" name=\"input_day\">";
		
		for( $day = 1; $day < 32; $day++ )
		{
			( $day == $input_day ) ? $day_selected = "selected=\"selected\" " : $day_selected = "";
			echo "<option " . $day_selected . "value=\"" . $day . "\">" . $day . "</option>";
		}
		
		$yearend = date( "Y" ) + 10;
		echo "</select><select size=\"1\" name=\"input_year\">";
		
		for( $year = 1998; $year < $yearend; $year++ )
		{
			( $year == $input_year ) ? $year_selected = "selected=\"selected\" " : $year_selected = "";
			echo "<option " . $year_selected . "value=\"" . $year . "\">" . $year . "</option>";
		}
		
		echo "</select><select size=\"1\" name=\"input_hour\">";
		
		for( $hour = 1; $hour < 24; $hour++ )
		{
			$hour_value = $html -> twodigits( $hour );
			( $hour_value == $input_hour ) ? $hour_selected = "selected=\"selected\" " : $hour_selected = "";
			echo "<option " . $hour_selected . "value=\"" . $hour_value . "\">" . $hour_value . "</option>";
		}
		
		echo "</select>:<select size=\"1\" name=\"input_minute\">";
		
		for( $minutes = 1; $minutes < 60; $minutes++ )
		{
			$minutes_value = $html -> twodigits( $minutes );
			( $minutes_value == $input_minute ) ? $minute_selected = "selected=\"selected\" " : $minute_selected = "";
			echo "<option " . $minute_selected . "value=\"" . $minutes_value . "\">" . $minutes_value . "</option>";
		}
		
		echo "</select>:<select size=\"1\" name=\"input_second\">";
		
		for( $seconds = 1; $seconds < 60; $seconds++ )
		{
			$seconds_value = $html -> twodigits( $seconds );
			( $seconds_value == $input_second ) ? $second_selected = "selected=\"selected\" " : $second_selected = "";
			echo "<option " . $second_selected . "value=\"" . $seconds_value . "\">" . $seconds_value . "</option>";
		}
		
		( $input_now ) ? $checked = " checked=\"checked\"" : $checked = "" ;
		echo "</select> <strong>" . $words_articles[ 'OR_NOW' ] . "<input name=\"input_now\" type=\"checkbox\" value=\"1\"" . $checked . " /></strong><br />";
		
		if( !$input_expire_year )
		{
			$input_year = date( "Y" );
			$input_month = date( "n" );
			$input_day = date( "j" );
			$input_hour = date( "H" );
			$input_minute = date( "i" );
			$input_second = date( "s" );
		}
		
		echo "<strong>" . $words_articles[ 'EXPIRE_DATE' ] . ":</strong><br />";
		( $input_expire_month == "1" ) ? $month_selected_january = "selected=\"selected\" " : $month_selected_january = "" ;
		( $input_expire_month == "2" ) ? $month_selected_feburary = "selected=\"selected\" " : $month_selected_feburary = "" ;
		( $input_expire_month == "3" ) ? $month_selected_march = "selected=\"selected\" " : $month_selected_march = "" ;
		( $input_expire_month == "4" ) ? $month_selected_april = "selected=\"selected\" " : $month_selected_april = "" ;
		( $input_expire_month == "5" ) ? $month_selected_may = "selected=\"selected\" " : $month_selected_may = "" ;
		( $input_expire_month == "6" ) ? $month_selected_june = "selected=\"selected\" " : $month_selected_june = "" ;
		( $input_expire_month == "7" ) ? $month_selected_july = "selected=\"selected\" " : $month_selected_july = "" ;
		( $input_expire_month == "8" ) ? $month_selected_august = "selected=\"selected\" " : $month_selected_august = "" ;
		( $input_expire_month == "9" ) ? $month_selected_september = "selected=\"selected\" " : $month_selected_september = "" ;
		( $input_expire_month == "10" ) ? $month_selected_october = "selected=\"selected\" " : $month_selected_october = "" ;
		( $input_expire_month == "11" ) ? $month_selected_november = "selected=\"selected\" " : $month_selected_november = "" ;
		( $input_expire_month == "12" ) ? $month_selected_december = "selected=\"selected\" " : $month_selected_december = "" ;
		echo "<select size=\"1\" name=\"input_expire_month\">";
		echo "<option " . $month_selected_january . "value=\"1\">" . $words_articles[ 'JANUARY' ] . "</option>";
		echo "<option " . $month_selected_feburary . "value=\"2\">" . $words_articles[ 'FEBRUARY' ] . "</option>";
		echo "<option " . $month_selected_march . "value=\"3\">" . $words_articles[ 'MARCH' ] . "</option>";
		echo "<option " . $month_selected_april . "value=\"4\">" . $words_articles[ 'APRIL' ] . "</option>";
		echo "<option " . $month_selected_may . "value=\"5\">" . $words_articles[ 'MAY' ] . "</option>";
		echo "<option " . $month_selected_june . "value=\"6\">" . $words_articles[ 'JUNE' ] . "</option>";
		echo "<option " . $month_selected_july . "value=\"7\">" . $words_articles[ 'JULY' ] . "</option>";
		echo "<option " . $month_selected_august . "value=\"8\">" . $words_articles[ 'AUGUST' ] . "</option>";
		echo "<option " . $month_selected_september . "value=\"9\">" . $words_articles[ 'SEPTEMBER' ] . "</option>";
		echo "<option " . $month_selected_october . "value=\"10\">" . $words_articles[ 'OCTOBER' ] . "</option>";
		echo "<option " . $month_selected_november . "value=\"11\">" . $words_articles[ 'NOVEMBER' ] . "</option>";
		echo "<option " . $month_selected_december . "value=\"12\">" . $words_articles[ 'DECEMBER' ] . "</option>";
		echo "</select><select size=\"1\" name=\"input_expire_day\">";
		
		for( $day = 1; $day < 32; $day++ )
		{
			( $day == $input_expire_day ) ? $day_selected = "selected=\"selected\" " : $day_selected = "";
			echo "<option " . $day_selected . "value=\"" . $day . "\">" . $day . "</option>";
		}
		
		$yearstart = date( "Y" );
		$yearend = date( "Y" ) + 20;
		echo "</select><select size=\"1\" name=\"input_expire_year\">";
		
		for( $year = $yearstart; $year < $yearend; $year++ )
		{
			( $year == $input_expire_year ) ? $year_selected = "selected=\"selected\" " : $year_selected = "";
			echo "<option " . $year_selected . "value=\"" . $year . "\">" . $year . "</option>";
		}
		
		echo "</select><select size=\"1\" name=\"input_expire_hour\">";
		
		for( $hour = 1; $hour < 24; $hour++ )
		{
			$hour_value = $html -> twodigits( $hour );
			( $hour_value == $input_expire_hour ) ? $hour_selected = "selected=\"selected\" " : $hour_selected = "";
			echo "<option " . $hour_selected . "value=\"" . $hour_value . "\">" . $hour_value . "</option>";
		}
		
		echo "</select>:<select size=\"1\" name=\"input_expire_minute\">";
		
		for( $minutes = 1; $minutes < 60; $minutes++ )
		{
			$minutes_value = $html -> twodigits( $minutes );
			( $minutes_value == $input_expire_minute ) ? $minute_selected = "selected=\"selected\" " : $minute_selected = "";
			echo "<option " . $minute_selected . "value=\"" . $minutes_value . "\">" . $minutes_value . "</option>";
		}
		
		echo "</select>:<select size=\"1\" name=\"input_expire_second\">";
		
		for( $seconds = 1; $seconds < 60; $seconds++ )
		{
			$seconds_value = $html -> twodigits( $seconds );
			( $seconds_value == $input_expire_second ) ? $second_selected = "selected=\"selected\" " : $second_selected = "";
			echo "<option " . $second_selected . "value=\"" . $seconds_value . "\">" . $seconds_value . "</option>";
		}
		
		( $input_expire_never ) ? $checked = " checked=\"checked\"" : $checked = "" ;
		echo "</select> <strong>" . $words_articles[ 'OR_NEVER' ] . "<input name=\"input_expire_never\" type=\"checkbox\" value=\"1\"" . $checked . " /></strong><br />";
	}
	
	$html -> upperform( $words_articles[ 'DESCRIPTION' ], "input_article_description", $input_article_description, 2 );
	$html -> upperform( $words_articles[ 'KEYWORDS' ], "input_article_keywords", $input_article_keywords, 2 );
	$html -> uppertext( $words_articles[ 'SEO_URL' ], "input_article_seo", $input_article_seo );
	
	if( !$preferences[ 'articles_wysiwyg' ] )
	{
		$html -> quickhtml( "" );
	}
	
	$html -> upperform( $words_articles[ 'ARTICLE_SUMMARY' ], "input_article_summary", $input_article_summary, 10 );
	echo "<strong>" . $words_articles[ 'ADD_PAGE_TO' ] . ":</strong><br /><select size=\"5\" name=\"input_article_id\">";
	
	if( $articleid )
	{
		echo "<option value=\"0\">" . $words_articles[ 'NEW_ARTICLE' ] . "</option>";
	}
	else
	{
		echo "<option selected=\"selected\" value=\"0\">" . $words_articles[ 'NEW_ARTICLE' ] . "</option>";
	}
	
	$query = $database -> dbquery( "SELECT article_id, article_title FROM " . DB_PREFIX . "esselbach_ct_articles ORDER BY article_id DESC LIMIT 20" );
	
	while( list( $article_id, $article_title ) = $database -> dbrow( $query ) )
	{
		if( $article_id == $articleid )
		{
			echo "<option selected=\"selected\" value=\"" . $article_id . "\">" . $words_articles[ 'ADD_PAGE_TO' ] . " " . $article_title . "</option>";
		}
		else
		{
			echo "<option value=\"" . $article_id . "\">" . $words_articles[ 'ADD_PAGE_TO' ] . " " . $article_title . "</option>";
		}
	}
	
	echo "</select><br />";
	echo $words_articles[ 'ALL_FIELDS_WILL_BE_IGNORED_IF' ] . "<br />";
	$html -> uppertext( $words_articles[ 'PAGE_TITLE' ], "input_article_pagetitle", $input_article_pagetitle );
	
	if( !$preferences[ 'articles_wysiwyg' ] )
	{
		$html -> quickhtml( 2 );
	}
	
	$html -> upperform( $words_articles[ 'PAGE_TEXT' ], "input_article_pagetext", $input_article_pagetext, 25 );
	
	if( $preferences[ 'articles_wysiwyg' ] )
	{
		$wysiwyg -> controls();
	}
	else
	{
		if( ( $input_dopreview ) or( $notice ) )
		{
			$input_html_value = $input_html;
			$input_smilies_value = $input_smilies;
			$input_blockcode_value = $input_blockcode;
		}
		else
		{
			$input_html_value = 0;
			$input_smilies_value = 1;
			$input_blockcode_value = 1;
		}
		
		$html -> makeselect( $words_articles[ 'USE_HTML' ], "input_html", $input_html_value, $words_articles[ 'YES' ] . " " . $words_articles[ 'NO' ] );
		$html -> makeselect( $words_articles[ 'USE_SMILIES' ], "input_smilies", $input_smilies_value, $words_articles[ 'YES' ] . " " . $words_articles[ 'NO' ] );
		$html -> makeselect( $words_articles[ 'USE_BLOCKCODE' ], "input_blockcode", $input_blockcode_value, $words_articles[ 'YES' ] . " " . $words_articles[ 'NO' ] );
	}
	
	( $input_allow_comments ) ? $checked = "checked=\"checked\" " : $checked = "" ;
	echo " <input name=\"input_allow_comments\" type=\"checkbox\" value=\"1\" " . $checked . "/> <strong>" . $words_articles[ 'ALLOW_COMMENTS' ] . "</strong>";
	( $input_frontpage ) ? $checked = " checked=\"checked\"" : $checked = "" ;
	echo "<br /><input name=\"input_frontpage\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_articles[ 'SHOW_FRONTPAGE' ] . "</strong><br />";
	
	if( !$article_id )
	{
		$html -> upperform( $words_articles[ 'TAGGED_AS' ], "input_article_tags", $input_article_tags, 2 );
		echo $words_articles[ 'SEPARATE_TAGS_WITH_COMMAS' ];
		$query = $database -> dbquery( "SELECT articletag_tag, articletag_count FROM " . DB_PREFIX . "esselbach_ct_articlestags ORDER BY articletag_tag" );
		
		if( $database -> dbrows( $query ) )
		{
			echo " " . $words_articles[ 'OR_CHOOSE_TAGS_FROM_CLOUD' ] . "<br /><br />";
			
			while( list( $articletag_tag, $articletag_count ) = $database -> dbrow( $query ) )
			{
				$articletag_size = $articletag_count + 60;
				
				if( $articletag_size > 300 )
				{
					$articletag_size = 300;
				}
				
				echo "<font style=\"font-size: " . $articletag_size . "%;\"><a href=\"javascript:inserttag('" . $articletag_tag . ",')\">" . $articletag_tag . "</a></font> ";
			}
		}
		
		if( $preferences[ 'articles_forum_comments' ] )
		{
			$forums = $uwrapper -> getforums();
			
			if( $forums )
			{
				echo "<br /><br /><strong>" . $words_articles[ 'USE_FOLLOWING_FORUM' ] . ":</strong><br />";
				echo "<select size=\"5\" name=\"input_forum\">";
				( !$input_forum ) ? $selected = " selected=\"selected\"" : $selected = "";
				echo "<option value=\"0\"" . $selected . ">" . $words_articles[ 'NONE' ] . "</option>";
				
				foreach( $forums as $forum )
				{
					$forum_data = explode( "|^Z|", $forum );
					( $input_forum == $forum_data[ 0 ] ) ? $selected = " selected=\"selected\"" : $selected = "";
					echo "<option value=\"" . $forum_data[ 0 ] . "\"" . $selected . ">" . base64_decode( $forum_data[ 1 ] ) . "</option>";
				}
				
				echo "</select>";
			}
		}
	}
	
	echo "<br /><br /><strong>" . $words_articles[ 'TEASER_IMAGE' ] . ":</strong><br />";
	echo "<select size=\"10\" name=\"input_teaserimage\" onchange=\"javascript:teaserpreview(this.value,teaserimage)\">";
	echo "<option value=\"0\">" . $words_articles[ 'NONE' ] . "</option>";
	$teaser_image = "../images/blank_image.gif";
	$query = $database -> dbquery( "SELECT articleteaserimage_id, articleteaserimage_filename FROM " . DB_PREFIX . "esselbach_ct_articlesteaserimages WHERE articleteaserimage_default = '1' OR (articleteaserimage_default = '0' AND articleteaserimage_article = '" . $articleid . "' AND articleteaserimage_author = '" . $login_username . "')" );
	
	while( list( $articleteaserimage_id, $articleteaserimage_filename ) = $database -> dbrow( $query ) )
	{
		if( $input_teaserimage == $articleteaserimage_id )
		{
			$selected = "selected=\"selected\"";
			$teaser_image = "index.php?action=articleteaserimagepreview&amp;input_teaserimageid=" . $articleteaserimage_id;
		}
		else
		{
			$selected = "";
		}
		
		echo "<option value=\"" . $articleteaserimage_id . "\"" . $selected . ">" . $articleteaserimage_filename . "</option>";
	}
	
	echo "</select> <img src=\"" . $teaser_image . "\" id=\"teaserimage\"><br />";
	echo "<strong>" . $words_articles[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_teaserfile\" /><br />";
	echo "<input type=\"submit\" name=\"input_doteaserupload\" value=\"" . $words_articles[ 'UPLOAD' ] . "\" />";
	( !$input_status ) ? $status_selected[ 0 ] = "selected=\"selected\"" : $status_selected[ 0 ] = "" ;
	( $input_status == 1 ) ? $status_selected[ 1 ] = "selected=\"selected\"" : $status_selected[ 1 ] = "" ;
	( $input_status == 2 ) ? $status_selected[ 2 ] = "selected=\"selected\"" : $status_selected[ 2 ] = "" ;
	( $input_status == 3 ) ? $status_selected[ 3 ] = "selected=\"selected\"" : $status_selected[ 3 ] = "" ;
	( $input_status == 4 ) ? $status_selected[ 4 ] = "selected=\"selected\"" : $status_selected[ 4 ] = "" ;
	echo "<br /><br /><strong>" . $words_articles[ 'STATUS' ] . ":</strong><br /><select size=\"5\" name=\"input_status\">";
	echo "<option " . $status_selected[ 0 ] . " value=\"0\">" . $words_articles[ 'ZERO_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 1 ] . " value=\"1\">" . $words_articles[ 'ONE_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 2 ] . " value=\"2\">" . $words_articles[ 'TWO_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 3 ] . " value=\"3\">" . $words_articles[ 'THREE_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 4 ] . " value=\"4\">" . $words_articles[ 'FOUR_STATUS' ] . "</option>";
	echo "</select><br />";
	$html -> uppertext( $words_articles[ 'PASSWORD' ], "input_password", $input_password );
	$input_extrafields = explode( "|^X|", $preferences[ 'articles_extrafields' ] );
	
	for( $i = 0; $i < 24; $i++ )
	{
		( isset( $input_extrafields[ $i ] ) ) ? $row = $input_extrafields[ $i ] : $row = "" ;
		$input_form_data = explode( "|^Z|", $row );
		
		if( isset( $input_form_data[ 1 ] ) )
		{
			$input_form_num = $input_form_data[ 0 ];
			$input_form_text = htmlspecialchars( base64_decode( $input_form_data[ 1 ] ) );
		}
		else
		{
			$input_form_num = "";
			$input_form_text = "";
		}
		
		if( $input_form_text )
		{
			if( is_array( $input_fields ) )
			{
				$input_field = ( isset( $input_fields[ $i ] ) ) ? $input_fields[ $i ] : "" ;
			}
			else
			{
				$input_field = "";
			}
			
			if( !$input_form_num )
			{
				$html -> uppertext( $input_form_text, "input_fields[$i]", $input_field );
			}
			
			if( $input_form_num == 1 )
			{
				$html -> upperform( $input_form_text, "input_fields[$i]", $input_field, 25 );
			}
			
			if( $input_form_num == 2 )
			{
				$dropdown_array = explode( ",", $input_form_text );
				$dropdown_name = $dropdown_array[ 0 ];
				echo "<strong>" . $dropdown_name . ":</strong> <select size=\"1\" name=\"input_fields[$i]\">";
				
				for( $y = 1; $y < count( $dropdown_array ); $y++ )
				{
					( $dropdown_array[ $y ] == $input_field ) ? $selected = "selected=\"selected\" " : $selected = "";
					echo "<option " . $selected . "value=\"" . $dropdown_array[ $y ] . "\">" . $dropdown_array[ $y ] . "</option>";
				}
				
				echo "</select><br />";
			}
		}
	}
	
	echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"doaddnewarticle\" /><input type=\"submit\" name=\"input_dopreview\" value=\"" . $words_articles[ 'PREVIEW' ] . "\" />";
	
	if( function_exists( "pspell_new" ) )
	{
		echo "<input type=\"submit\" name=\"input_dospellcheck\" value=\"" . $words_articles[ 'SPELLING' ] . "\" />";
	}
	
	echo "<input type=\"submit\" name=\"input_doaddpage\" value=\"" . $words_articles[ 'ADD_PAGE' ] . "\" />";
	echo "<input type=\"submit\" value=\"" . $words_articles[ 'FINISH' ] . "\" />";
	echo "<br /><br /><h2>" . $words_articles[ 'FILE_ATTACHMENTS' ] . "</h2>";
	$html -> tableheader( "","" );
	$query = $database -> dbquery( "SELECT articlefile_id, articlefile_filename, articlefile_title, articlefile_description, articlefile_mime FROM " . DB_PREFIX . "esselbach_ct_articlesfiles WHERE articlefile_author = '$login_username' AND articlefile_inuse = '0' ORDER BY articlefile_date DESC" );
	
	while( list( $articlefile_id, $articlefile_filename, $articlefile_title, $articlefile_description, $articlefile_mime ) = $database -> dbrow( $query ) )
	{
		if( $preferences[ 'articles_wysiwyg' ] )
		{
			if( ( $articlefile_mime == "image/pjpeg" ) or( $articlefile_mime == "image/jpeg" ) or( $articlefile_mime == "image/gif" ) or( $articlefile_mime == "image/png" ) )
			{
				if( function_exists( "imagecopyresized" ) )
				{
					$mid_link = "<a href=\"javascript:wysiwyginsert('input_article_pagetext','[thumb=" . $articlefile_id . "]')\"><img src=\"index.php?action=articleattachmentpreview&amp;input_fileid=" . $articlefile_id . "\" title=\"" . htmlspecialchars( $articlefile_description ) . "\" alt=\"" . htmlspecialchars( $articlefile_filename ) . "\" /></a><br />";
				}
				else
				{
					$mid_link = "<a href=\"javascript:wysiwyginsert('input_article_pagetext','[thumb=" . $articlefile_id . "]')\">" . htmlspecialchars( $articlefile_filename ) . "</a><br />";
				}
				
				$mid_link .= "[ <a href=\"javascript:wysiwyginsert('input_article_pagetext','[fullimage=" . $articlefile_id . "]')\">" . $words_articles[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:wysiwyginsert('input_article_pagetext','[thumb=" . $articlefile_id . "]')\">" . $words_articles[ 'ADD_AS_THUMBNAIL' ] . "</a><br />";
			}
			else
			{
				$mid_link = "[ <a href=\"javascript:wysiwyginsert('input_article_pagetext','[attachment=" . $articlefile_id . "]Download" . $articlefile_filename . "[/attachment]')\">" . $words_articles[ 'ADD_DOWNLOAD' ] . "</a>]<br />";
			}
		}
		else
		{		
			if( ( $articlefile_mime == "image/jpeg" ) or( $articlefile_mime == "image/pjpeg" ) or( $articlefile_mime == "image/gif" ) or( $articlefile_mime == "image/png" ) )
			{
				if( function_exists( "imagecopyresized" ) )
				{
					$mid_link = "<a href=\"javascript:insert2('[thumb=" . $articlefile_id . "]')\"><img src=\"index.php?action=articleattachmentpreview&amp;input_fileid=" . $articlefile_id . "\" title=\"" . htmlspecialchars( $articlefile_description ) . "\" alt=\"" . htmlspecialchars( $articlefile_filename ) . "\" /></a><br />";
				}
				else
				{
					$mid_link = "<a href=\"javascript:insert2('[thumb=" . $articlefile_id . "]')\">" . htmlspecialchars( $articlefile_filename ) . "</a><br />";
				}
				
				$mid_link .= "[ <a href=\"javascript:insert2('[fullimage=" . $articlefile_id . "]')\">" . $words_articles[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:insert2('[thumb=" . $articlefile_id . "]')\">" . $words_articles[ 'ADD_AS_THUMBNAIL' ] . "</a> ]<br />";
			}
			else
			{
				$mid_link = "[ <a href=\"javascript:insert2('[attachment=$articlefile_id]Download" . $articlefile_filename . "[/attachment]')\">" . $words_articles[ 'ADD_DOWNLOAD' ] . "</a> ]<br />";
			}
		}
		
		if( $input_file == $articlefile_id )
		{
			$mid_link .= "<textarea cols=\"80\" name=\"input_edittitle\" rows=\"1\" style=\"margin:0px;width:600px\">" . $articlefile_title . "</textarea><br />";
			$mid_link .= "<textarea cols=\"80\" name=\"input_editdescription\" rows=\"2\" style=\"margin:0px;width:600px\">" . $articlefile_description . "</textarea><br />";
			$mid_link .= "<input type=\"hidden\" name=\"input_editid\" value=\"" . $articlefile_id . "\" /><input type=\"submit\" name=\"input_doeditfile\" value=\"" . $words_articles[ 'GO' ] . "\" /><br />";
		}
		else
		{
			$mid_link .= "<strong>" . htmlspecialchars( $articlefile_title ) . "</strong><br />" . htmlspecialchars( $articlefile_description );
		}
		
		if( $input_file != $articlefile_id )
		{
			$html -> tableamiddle( $articlefile_filename, $mid_link, "input_dofileedit", $words_articles[ 'EDIT_FILE' ] . $articlefile_id, "input_dofileremove", $words_articles[ 'REMOVE_FILE' ] . $articlefile_id );
		}
		else
		{
			$html -> tableamiddle( $articlefile_filename, $mid_link, "input_dofileedit", 0, 0, 0, 0 );
		}
	}
	
	$html -> maketablefooter();
	echo "<a href=\"javascript:files_win()\">" . $words_articles[ 'SEARCH_FILE_ATTACHMENTS' ] . "</a><br /><br />";
	
	for( $a = 0; $a < 6; $a++ )
	{
		if( !isset( $input_file_title[ $a ] ) )
		{
			$input_file_title[ $a ] = "";
		}
		
		if( !isset( $input_file_description[ $a ] ) )
		{
			$input_file_description[ $a ] = "";
		}
	}
	
	echo "<strong>" . $words_articles[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[0]\" /><br />";
	$html -> upperform( $words_articles[ 'TITLE' ], "input_file_title[0]", $input_file_title[ 0 ], 1 );
	$html -> upperform( $words_articles[ 'DESCRIPTION' ], "input_file_description[0]", $input_file_description[ 0 ], 2 );
	echo "<div id=\"attachment_form_close\"><br /><a href=\"#\" onclick=\"show_form2(); return false;\">" . $words_articles[ 'ATTACH_MULTIPLE_FILES' ] . "</a><br /><br /></div>";
	echo "<div id=\"attachment_form_open\" style=\"display:none\">";
	echo "<strong>" . $words_articles[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[1]\" /><br />";
	$html -> upperform( $words_articles[ 'TITLE' ], "input_file_title[1]", $input_file_title[ 1 ], 1 );
	$html -> upperform( $words_articles[ 'DESCRIPTION' ], "input_file_description[1]", $input_file_description[ 1 ], 2 );
	echo "<br /><strong>" . $words_articles[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[2]\" /><br />";
	$html -> upperform( $words_articles[ 'TITLE' ], "input_file_title[2]", $input_file_title[ 2 ], 1 );
	$html -> upperform( $words_articles[ 'DESCRIPTION' ], "input_file_description[2]", $input_file_description[ 2 ], 2 );
	echo "<br /><strong>" . $words_articles[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[3]\" /><br />";
	$html -> upperform( $words_articles[ 'TITLE' ], "input_file_title[3]", $input_file_title[ 3 ], 1 );
	$html -> upperform( $words_articles[ 'DESCRIPTION' ], "input_file_description[3]", $input_file_description[ 3 ], 2 );
	echo "<br /><strong>" . $words_articles[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[4]\" /><br />";
	$html -> upperform( $words_articles[ 'TITLE' ], "input_file_title[4]", $input_file_title[ 4 ], 1 );
	$html -> upperform( $words_articles[ 'DESCRIPTION' ], "input_file_description[4]", $input_file_description[ 4 ], 2 );
	echo "</div>";
	echo "<input type=\"submit\" name=\"input_doupload\" value=\"" . $words_articles[ 'UPLOAD' ] . "\" />";
	$html -> makeformfooter();
}
?>