<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.0                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2008 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+  
// | Build: 468.1   Patch: 1                                                  |  
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Articles
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function AdminEditArticlePage
 * A function to edit a page
 * @author Philipp Louis Esselbach
 */
function AdminEditArticlePage( $pageid, $notice )
{
	global $database, $security, $system, $html, $preferences, $wysiwyg, $login_username, $words_articles;
	$input_article_pagetitle = ( isset( $_POST[ 'input_article_pagetitle' ] ) ) ? $system -> stripthis( $_POST[ 'input_article_pagetitle' ] ) : "" ;
	$input_article_pagetext = ( isset( $_POST[ 'input_article_pagetext' ] ) ) ? $system -> stripthis( $_POST[ 'input_article_pagetext' ] ) : "" ;
	$input_reason = ( isset( $_POST[ 'input_reason' ] ) ) ? $system -> stripthis( $_POST[ 'input_reason' ] ) : "" ;
	$input_file_title = ( isset( $_POST[ 'input_file_title' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_title' ] ) : array() ;
	$input_file_description = ( isset( $_POST[ 'input_file_description' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_description' ] ) : array() ;
	$input_dofileedit = ( isset( $_POST[ 'input_dofileedit' ] ) ) ? $system -> stripthis( $_POST[ 'input_dofileedit' ] ) : "" ;
	$input_dopreview = ( isset( $_POST[ 'input_dopreview' ] ) ) ? $system -> stripthis( $_POST[ 'input_dopreview' ] ) : "" ;
	$input_this_form = ( isset( $_POST[ 'input_this_form' ] ) ) ? $system -> stripthis( $_POST[ 'input_this_form' ] ) : "" ;
	
	if( !isset( $_SESSION[ 'articles_security_hash' ] ) )
	{
		session_start();
		$security_hash = md5( rand( 1, 32768 ) );
		$_SESSION[ 'articles_security_hash' ] = $security_hash;
	}
	else
	{
		$security_hash = $_SESSION[ 'articles_security_hash' ];
	}
	
	if( !$input_this_form )
	{
		$query = $database -> dbquery( "SELECT articlepage_title, articlepage_rawtext FROM " . DB_PREFIX . "esselbach_ct_articlespages WHERE articlepage_id = '" . $pageid . "'" );
		list( $input_article_pagetitle, $input_article_pagetext ) = $database -> dbrow( $query );
	}
	
	$html -> makeheader( $words_articles[ 'EDIT_PAGE' ] );
	$html -> deleteinit( $words_articles[ 'ARE_YOU_SURE' ] );
	$html -> popinit();
	
	if( $preferences[ 'articles_wysiwyg' ] )
	{
		$wysiwyg -> wysiwyginit( "input_article_pagetext" );
	}
	else
	{
		$html -> quickhtmlinit( "newform", "input_article_pagetext", "" );
	}
	
	$html -> forminit2( "attachment_form_close", "attachment_form_open" );
	$html -> filesinit( "articleattachmentsearch" );
	$html -> teaserpreviewinit();
	$html -> makesubheader();
	$html -> makegroupmenu( "articles" );
	
	if( $input_dofileedit )
	{
		$input_file = explode( "#", $input_dofileedit );
		$input_file = $security -> checknum( $input_file[ 1 ] );
	}
	else
	{
		$input_file = "";
	}
	
	if( $notice )
	{
		$html -> makeformheadera( $words_articles[ 'NOTICE' ], "article", "newform" );
		echo $notice;
		echo "<br /><br /><h2>" . $words_articles[ 'EDIT_PAGE' ] . "</h2>";
	}
	elseif( $input_dopreview )
	{
		$query = $database -> dbquery( "SELECT a1.article_html, a1.article_smilies, a1.article_code FROM " . DB_PREFIX . "esselbach_ct_articles a1, " . DB_PREFIX . "esselbach_ct_articlespages a2 WHERE a2.articlepage_article = a1.article_id AND a2.articlepage_id = '" . $pageid . "'" );
		list( $input_html, $input_smilies, $input_blockcode ) = $database -> dbrow( $query );
		$input_article_parsed = eregi_replace( "\\[attachment=([^\\[]+)\\]([^\\[]*)\\[/attachment\\]", $words_articles[ 'ATTACHMENT_HERE' ], $input_article_pagetext );
		$input_article_parsed = eregi_replace( "\\[fullimage=([^\\[]+)\\]", $words_articles[ 'ATTACHMENT_IMG_HERE' ], $input_article_parsed );
		$input_article_parsed = eregi_replace( "\\[thumb=([^\\[]+)\\]", $words_articles[ 'ATTACHMENT_THUMB_HERE' ], $input_article_parsed );
		
		if( !$input_html )
		{
			$input_article_parsed = $system -> dechomp( $input_article_parsed );
		}
		
		if( $input_smilies )
		{
			$input_article_parsed = $system -> smilies( $input_article_parsed );
		}
		
		if( $input_blockcode )
		{
			$input_article_parsed = $system -> code( $input_article_parsed );
		}
		
		$html -> makeformheadera( $words_articles[ 'PREVIEW' ], "article", "newform" );
		echo $system -> fixsmilies( $input_article_parsed );
		echo "<br /><br /><h2>" . $words_articles[ 'EDIT_PAGE' ] . "</h2>";
	}
	else
	{
		$html -> makeformheadera( $words_articles[ 'EDIT_PAGE' ], "article", "newform" );
	}
	
	$html -> uppertext( $words_articles[ 'PAGE_TITLE' ], "input_article_pagetitle", $input_article_pagetitle );
	
	if( !$preferences[ 'articles_wysiwyg' ] )
	{
		$html -> quickhtml( "" );
	}
	
	$html -> upperform( $words_articles[ 'PAGE_TEXT' ], "input_article_pagetext", $input_article_pagetext, 25 );
	$html -> uppertext( $words_articles[ 'EDIT_REASON' ], "input_reason", $input_reason );
	echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"doeditarticlepage\" /><input type=\"hidden\" name=\"input_zid\" value=\"" . $pageid . "\" /><input type=\"hidden\" name=\"input_this_form\" value=\"1\" /><input type=\"submit\" name=\"input_dopreview\" value=\"" . $words_articles[ 'PREVIEW' ] . "\" />";
	
	if( function_exists( "pspell_new" ) )
	{
		echo "<input type=\"submit\" name=\"input_dospellcheck\" value=\"" . $words_articles[ 'SPELLING' ] . "\" />";
	}
	
	echo "<input type=\"submit\" value=\"" . $words_articles[ 'EDIT_PAGE' ] . "\" />";
	echo "<br /><br /><h2>" . $words_articles[ 'FILE_ATTACHMENTS' ] . "</h2>";
	$html -> tableheader( "", "" );
	$query = $database -> dbquery( "SELECT articlefile_id, articlefile_filename, articlefile_title, articlefile_description, articlefile_mime FROM " . DB_PREFIX . "esselbach_ct_articlesfiles WHERE articlefile_author = '" . $login_username . "' AND articlefile_page = '" . $pageid . "' ORDER BY articlefile_date DESC" );
	
	while( list( $articlefile_id, $articlefile_filename, $articlefile_title, $articlefile_description, $articlefile_mime ) = $database -> dbrow( $query ) )
	{
		if( $preferences[ 'articles_wysiwyg' ] )
		{
			if( ( $articlefile_mime == "image/pjpeg" ) or( $articlefile_mime == "image/jpeg" ) or( $articlefile_mime == "image/gif" ) or( $articlefile_mime == "image/png" ) )
			{
				if( function_exists( "imagecopyresized" ) )
				{
					$mid_link = "<a href=\"javascript:wysiwyginsert('input_article_pagetext','[thumb=" . $articlefile_id . "]')\"><img src=\"index.php?action=articleattachmentpreview&amp;input_fileid=" . $articlefile_id . "\" title=\"" . htmlspecialchars( $articlefile_description ) . "\" alt=\"" . htmlspecialchars( $articlefile_filename ) . "\" /></a><br />";
				}
				else
				{
					$mid_link = "<a href=\"javascript:wysiwyginsert('input_article_pagetext','[thumb=" . $articlefile_id . "]')\">" . htmlspecialchars( $articlefile_filename ) . "</a><br />";
				}
				
				$mid_link .= "[ <a href=\"javascript:wysiwyginsert('input_article_pagetext','[fullimage=" . $articlefile_id . "]')\">" . $words_articles[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:wysiwyginsert('input_article_pagetext','[thumb=" . $articlefile_id . "]')\">" . $words_articles[ 'ADD_AS_THUMBNAIL' ] . "</a><br />";
			}
			else
			{
				$mid_link = "[ <a href=\"javascript:wysiwyginsert('input_article_pagetext','[attachment=" . $articlefile_id . "]Download" . $articlefile_filename . "[/attachment]')\">" . $words_articles[ 'ADD_DOWNLOAD' ] . "</a>]<br />";
			}
		}
		else
		{		
			if( ( $articlefile_mime == "image/pjpeg" ) or( $articlefile_mime == "image/jpeg" ) or( $articlefile_mime == "image/gif" ) or( $articlefile_mime == "image/png" ) )
			{
				if( function_exists( "imagecopyresized" ) )
				{
					$mid_link = "<a href=\"javascript:insert('[thumb=" . $articlefile_id . "]')\"><img src=\"index.php?action=articleattachmentpreview&amp;input_fileid=" . $articlefile_id . "\" title=\"" . htmlspecialchars( $articlefile_description ) . "\" alt=\"" . htmlspecialchars( $articlefile_filename ) . "\" /></a><br />";
				}
				else
				{
					$mid_link = "<a href=\"javascript:insert('[thumb=" . $articlefile_id . "]')\">" . htmlspecialchars( $articlefile_filename ) . "</a><br />";
				}
				
				$mid_link .= "[ <a href=\"javascript:insert('[fullimage=" . $articlefile_id . "]')\">" . $words_articles[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:insert('[thumb=" . $articlefile_id . "]')\">" . $words_articles[ 'ADD_AS_THUMBNAIL' ] . "</a> ]<br />";
			}
			else
			{
				$mid_link = "[ <a href=\"javascript:insert('[attachment=" . $articlefile_id . "]Download" . $articlefile_filename . "[/attachment]')\">" . $words_articles[ 'ADD_DOWNLOAD' ] . "</a> ]<br />";
			}
		}
		
		if( $input_file == $articlefile_id )
		{
			$mid_link .= "<textarea cols=\"80\" name=\"input_edittitle\" rows=\"1\" style=\"margin:0px;width:600px\">$articlefile_title</textarea><br />";
			$mid_link .= "<textarea cols=\"80\" name=\"input_editdescription\" rows=\"2\" style=\"margin:0px;width:600px\">$articlefile_description</textarea><br />";
			$mid_link .= "<input type=\"hidden\" name=\"input_editid\" value=\"" . $articlefile_id . "\" /><input type=\"submit\" name=\"input_doeditfile\" value=\"" . $words_articles[ 'GO' ] . "\" /><br />";
		}
		else
		{
			$mid_link .= "<strong>" . htmlspecialchars( $articlefile_title ) . "</strong><br />" . htmlspecialchars( $articlefile_description );
		}
		
		if( $input_file != $articlefile_id )
		{
			$html -> tableamiddle( $articlefile_filename, $mid_link, "input_dofileedit", $words_articles[ 'EDIT_FILE' ] . $articlefile_id, "input_dofileremove", $words_articles[ 'REMOVE_FILE' ] . $articlefile_id );
		}
		else
		{
			$html -> tableamiddle( $articlefile_filename, $mid_link, "input_dofileedit", 0, 0, 0, 0 );
		}
	}
	
	$html -> maketablefooter();
	echo "<a href=\"javascript:files_win()\">" . $words_articles[ 'SEARCH_FILE_ATTACHMENTS' ] . "</a><br /><br />";
	
	for( $a = 0; $a < 6; $a++ )
	{
		if( !isset( $input_file_title[ $a ] ) )
		{
			$input_file_title[ $a ] = "";
		}
		
		if( !isset( $input_file_description[ $a ] ) )
		{
			$input_file_description[ $a ] = "";
		}
	}
	
	echo "<strong>" . $words_articles[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[0]\" /><br />";
	$html -> upperform( $words_articles[ 'TITLE' ], "input_file_title[0]", $input_file_title[ 0 ], 1 );
	$html -> upperform( $words_articles[ 'DESCRIPTION' ], "input_file_description[0]", $input_file_description[ 0 ], 2 );
	echo "<div id=\"attachment_form_close\"><br /><a href=\"#\" onclick=\"show_form2(); return false;\">" . $words_articles[ 'ATTACH_MULTIPLE_FILES' ] . "</a><br /><br /></div>";
	echo "<div id=\"attachment_form_open\" style=\"display:none\">";
	echo "<strong>" . $words_articles[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[1]\" /><br />";
	$html -> upperform( $words_articles[ 'TITLE' ], "input_file_title[1]", $input_file_title[ 1 ], 1 );
	$html -> upperform( $words_articles[ 'DESCRIPTION' ], "input_file_description[1]", $input_file_description[ 1 ], 2 );
	echo "<br /><strong>" . $words_articles[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[2]\" /><br />";
	$html -> upperform( $words_articles[ 'TITLE' ], "input_file_title[2]", $input_file_title[ 2 ], 1 );
	$html -> upperform( $words_articles[ 'DESCRIPTION' ], "input_file_description[2]", $input_file_description[ 2 ], 2 );
	echo "<br /><strong>" . $words_articles[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[3]\" /><br />";
	$html -> upperform( $words_articles[ 'TITLE' ], "input_file_title[3]", $input_file_title[ 3 ], 1 );
	$html -> upperform( $words_articles[ 'DESCRIPTION' ], "input_file_description[3]", $input_file_description[ 3 ], 2 );
	echo "<br /><strong>" . $words_articles[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[4]\" /><br />";
	$html -> upperform( $words_articles[ 'TITLE' ], "input_file_title[4]", $input_file_title[ 4 ], 1 );
	$html -> upperform( $words_articles[ 'DESCRIPTION' ], "input_file_description[4]", $input_file_description[ 4 ], 2 );
	echo "</div>";
	echo "<input type=\"submit\" name=\"input_doupload\" value=\"" . $words_articles[ 'UPLOAD' ] . "\" />";
	
	if( $preferences[ 'articles_undo' ] )
	{
		$query = $database -> dbquery( "SELECT articlepageundo_id, articlepageundo_editreason, articlepageundo_title, articlepageundo_editadmin, articlepageundo_date FROM " . DB_PREFIX . "esselbach_ct_articlespagesundo WHERE articlepageundo_pageid = '" . $pageid . "' ORDER BY articlepageundo_id DESC" );
		
		if( $database -> dbrows( $query ) )
		{
			$html -> tworowstable( $words_articles[ 'OLDER_VERSIONS' ], "" );
			
			while( list( $articlepageundo_id, $articlepageundo_editreason, $articlepageundo_title, $articlepageundo_author, $articlepageundo_date ) = $database -> dbrow( $query ) )
			{
				$html -> simpletablemiddleundo( $articlepageundo_date . ": " . $articlepageundo_title . " " . $words_articles[ 'BY' ] . " " . $articlepageundo_author . " (" . $words_articles[ 'EDIT_REASON' ] . ": " . $articlepageundo_editreason . ")", "javascript:pop_win('index.php?action=managearticles&amp;opts=showundopage-" . $articlepageundo_id . "-" . $security_hash . "')", "index.php?action=managearticles&amp;opts=restorepage-" . $articlepageundo_id . "-" . $security_hash );
			}
			
			$html -> maketablefooter();
		}
	}
	
	$html -> makeformfooter();
}
?>